#!/usr/bin/perl
# Wed Mar  6 23:48:22 MET 1996
#

while (<>) {
# we want to substitute colons
	$_ =~ s/:/\./;
# ... and to summarize the results of the week
	$week = $1 if /^(\d+)\s/;
	$dist{$week} += $1 if /\d+\s(\d*\.*\d*)/;
	$time{$week} += $1 if /\d+\s\d*\.*\d*\s(\d*\.*\d*)\s\d+/;
	$pace{$week} += $1 if /\s(\d*\.*\d*)$/;
	$div{$week} += 1  if /\s(\d*\.*\d*)$/;
	}

foreach $c (sort by_value(keys (%dist))) {
	printf "%d %2.2f %2.2f %2.2f %d\n",$c,$dist{$c},$time{$c},($pace{$c}/$div{$c}),$div{$c};
	}

sub by_value { $a - $b; }
